## dolphin 20.12.0

=== debian/changelog ===
dolphin (4:20.12.0-2) unstable; urgency=medium

  * cherry-pick upstream fix access url navigator while creating new tab
    in filename.
  * Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 23 Dec 2020 07:59:55 +0900

dolphin (4:20.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop l10n migration rules, not required anymore after 2 stable releases.
  * Update project homepage URL.
  * Refresh copyright information.
  * Activate KUserFeedback by adding kuserfeedback-dev to build dependencies.
  * Refresh upstream metadata: drop Contact an Name fiels already present in
    machine readable copyright.

  [ Norbert Preining ]
  * New upstream release (20.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.5.1 (no change required).
  * Revert upstream patch ac234a9c55ae to fix crashes when large directories
    are quickly unfolded/folded.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Dec 2020 18:01:09 +0100
