=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: baloo-kf5-dev (>= 5.73.0~) [!hurd-any],
                cmake (>= 3.0~),
                debhelper-compat (= 13),
