=== debian/changelog ===
dolphin (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entries 4:4.1.96-0ubuntu2, 4:3.5.8-2ubuntu18,
    4:3.5.6-0ubuntu9, 4:3.5.5-0ubuntu3, 4:3.5.4-0ubuntu8, 4:3.5.2-0ubuntu23,
    4:3.5.0-1, 4:2.2.1.0-3, 1:980225-1.
  * Update the patches:
    - upstream-b1cadeba-compat-frameworks-578: drop, fixed upstream
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 12:29:09 +0100

dolphin (4:20.12.1-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Add myself to uploaders.
  * Use Debian Qt/KDE Maintainers as maintainer
  * Backport of upstream compatibility fix for frameworks 5.78.

 -- Norbert Preining <norbert@preining.info>  Mon, 18 Jan 2021 11:10:49 +0900
