## dolphin 20.12.3

=== debian/changelog ===
dolphin (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:15:00 +0000

dolphin (4:20.12.2-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Additional recommends on ffmpegthumbs & kdegraphics-thumbnailers

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 18:15:57 +0000

dolphin (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)
  * Drop included patch upstream-b1cadeba-compat-frameworks-578

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:49:24 +0000

dolphin (4:20.12.1-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Additional recommends on ffmpegthumbs & kdegraphics-thumbnailers

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Jan 2021 09:20:55 +0000

dolphin (4:20.12.1-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Additional recommends on ffmpegthumbs & kdegraphics-thumbnailers

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jan 2021 12:58:04 +0000

dolphin (4:20.12.0-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Additional recommends on ffmpegthumbs & kdegraphics-thumbnailers

 -- Rik Mills <rikmills@kde.org>  Wed, 23 Dec 2020 08:04:10 +0000

dolphin (4:20.12.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Additional recommends on ffmpegthumbs & kdegraphics-thumbnailers

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Dec 2020 19:11:51 +0000

dolphin (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Build depend on kuserfeedback-dev

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:22:20 +0000

dolphin (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:47:07 +0000

dolphin (4:20.08.2-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Additional recommends on ffmpegthumbs & kdegraphics-thumbnailers

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Oct 2020 16:00:20 +0000

dolphin (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:39:12 +0100

dolphin (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:48:35 +0100

dolphin (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Move knsrc file to new location.
  * New build depend on libpackagekitqt5-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:42:46 +0100

dolphin (4:20.04.3-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Additional recommends on ffmpegthumbs & kdegraphics-thumbnailers

 -- Rik Mills <rikmills@kde.org>  Fri, 31 Jul 2020 17:42:06 +0100

dolphin (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:33:31 +0100

dolphin (4:20.04.2-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Additional recommends on ffmpegthumbs & kdegraphics-thumbnailers

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 18:02:47 +0100

dolphin (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:10:13 +0100

dolphin (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:31:23 +0100

dolphin (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:18:13 +0100
