=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                kinit-dev (>= 5.73.0~),
                kuserfeedback-dev,
                libkf5activities-dev (>= 5.73.0~),
-               libkf5baloowidgets-dev (>= 4:20.04.0~) [!hurd-any],
+               libkf5baloowidgets-dev (>= 4:20.12.3~) [!hurd-any],
                libkf5bookmarks-dev (>= 5.73.0~),
                libkf5completion-dev (>= 5.73.0~),
                libkf5config-dev (>= 5.73.0~),
@@ -36,18 +36,18 @@
                libphonon4qt5experimental-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.14.0~)
+               qtbase5-dev (>= 5.14.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
 
 Package: dolphin
 Section: utils
 Architecture: any
 Depends: baloo-kf5, kinit, ${misc:Depends}, ${shlibs:Depends}
-Recommends: kimageformat-plugins, kio-extras
+Recommends: kimageformat-plugins, kio-extras, ffmpegthumbs, kdegraphics-thumbnailers
 Suggests: dolphin-plugins
 Description: file manager
  Dolphin is the default file manager in the Plasma, intended
@@ -66,7 +66,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: file manager - development files
  Contains DBus interface XML files to access dolphin via the DBus
  org.freedesktop.FileManager1 interface.
@@ -78,7 +78,7 @@
 Depends: libdolphinvcs5 (= ${binary:Version}),
          libkf5kio-dev (>= 5.73.0~),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: library to show version control in Dolphin - development files
  This library enables developers to expand Dolphin with the ability to show
  version control status in directories that are version controlled.
