## dolphin 21.08.1

=== debian/changelog ===
dolphin (4:21.08.1-1ubuntu1) impish; urgency=medium

  * Fix lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 15 Sep 2021 19:33:50 +0100

dolphin (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Sep 2021 12:31:10 +0900

dolphin (4:21.08.0-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix for starting a console when kinit is not running.

 -- Norbert Preining <norbert@preining.info>  Thu, 02 Sep 2021 07:30:42 +0900

dolphin (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * Let dolphin recommend ffmpegthumbs, kdegraphics-thumbnailers.
  * Cherry-pick upstream MR for stable sort size order.
  * New upstream release (21.08.0).
  * Drop upstream patch.
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 08:30:08 +0900

dolphin (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:07:43 +0900

dolphin (4:21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:22:20 +0900

dolphin (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 07:57:22 +0900

dolphin (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Update frameworks dependency to 5.77.
  * Update list of installed files.
  * Update symbols file.
  * Conflict with old dolphin-plugins.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 09:43:29 +0900
