=== debian/changelog ===
dolphin (4:21.08.2-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:45:05 +0800

dolphin (4:21.08.2-1) unstable; urgency=medium
  [ Rik Mills ]
  * Fix mismatched and obsolete lintian overrides.

  [ Norbert Preining ]
  * New upstream release (21.08.2).

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:51:45 +0900
